Kea: isc::http::HttpVersion Struct Reference

| Kea 3.2.0-git

isc::http::HttpVersion Struct Reference

HTTP protocol version. More...

`#include <http_types.h>`

## Public Member Functions
| HttpVersion (const unsigned major, const unsigned minor)
| Constructor.
bool | operator!= (const HttpVersion &rhs) const
| Operator not equal.
bool | operator< (const HttpVersion &rhs) const
| Operator less.
bool | operator== (const HttpVersion &rhs) const
| Operator equal.

## Static Public Member Functions
Methods returning @c HttpVersion object encapsulating typical
HTTP version numbers.
static const HttpVersion & | HTTP_10 ()
| HTTP version 1.0.
static const HttpVersion & | HTTP_11 ()
| HTTP version 1.1.
static const HttpVersion & | HTTP_20 ()
| HTTP version 2.0.

## Public Attributes
unsigned | major_
| Major HTTP version.
unsigned | minor_
| Minor HTTP version.

## Detailed Description

HTTP protocol version.

Definition at line 14 of file http_types.h.

## Constructor & Destructor Documentation

## ◆ HttpVersion()

isc::http::HttpVersion::HttpVersion | ( | const unsigned | major,
|  | const unsigned | minor )
| inlineexplicit

Constructor.

Parameters

  major | Major HTTP version.
  minor | Minor HTTP version.

Definition at line 22 of file http_types.h.

References major_, and minor_.

Referenced by HTTP_10(), HTTP_11(), HTTP_20(), operator!=(), operator<(), and operator==().

## Member Function Documentation

## ◆ HTTP_10()

const HttpVersion & isc::http::HttpVersion::HTTP_10 | ( |  | ) |
| inlinestatic

HTTP version 1.0.

Definition at line 53 of file http_types.h.

References HttpVersion().

Referenced by isc::http::HttpRequest::isPersistent(), and isc::http::HttpConnection::requestTimeoutCallback().

Here is the call graph for this function:

## ◆ HTTP_11()

const HttpVersion & isc::http::HttpVersion::HTTP_11 | ( |  | ) |
| inlinestatic

HTTP version 1.1.

Definition at line 59 of file http_types.h.

References HttpVersion().

Referenced by isc::ha::HAService::asyncDisableDHCPService(), isc::ha::HAService::asyncEnableDHCPService(), isc::ha::HAService::asyncSendHAReset(), isc::ha::HAService::asyncSendHeartbeat(), isc::ha::HAService::asyncSendLeaseUpdate(), isc::ha::HAService::asyncSendLeaseUpdatesFromBacklog(), isc::ha::HAService::asyncSyncCompleteNotify(), isc::ha::HAService::asyncSyncLeasesInternal(), isc::ha::HAService::processMaintenanceCancel(), and isc::ha::HAService::processMaintenanceStart().

Here is the call graph for this function:

## ◆ HTTP_20()

const HttpVersion & isc::http::HttpVersion::HTTP_20 | ( |  | ) |
| inlinestatic

HTTP version 2.0.

Definition at line 65 of file http_types.h.

References HttpVersion().

Here is the call graph for this function:

## ◆ operator!=()

bool isc::http::HttpVersion::operator!= | ( | const HttpVersion & | rhs | ) | const
| inline

Operator not equal.

Parameters

  rhs | Version to compare to.

Definition at line 44 of file http_types.h.

References HttpVersion().

Here is the call graph for this function:

## ◆ operator<()

bool isc::http::HttpVersion::operator< | ( | const HttpVersion & | rhs | ) | const
| inline

Operator less.

Parameters

  rhs | Version to compare to.

Definition at line 29 of file http_types.h.

References HttpVersion(), major_, and minor_.

Here is the call graph for this function:

## ◆ operator==()

bool isc::http::HttpVersion::operator== | ( | const HttpVersion & | rhs | ) | const
| inline

Operator equal.

Parameters

  rhs | Version to compare to.

Definition at line 37 of file http_types.h.

References HttpVersion(), major_, and minor_.

Here is the call graph for this function:

## Member Data Documentation

## ◆ major_

unsigned isc::http::HttpVersion::major_

Major HTTP version.

Definition at line 15 of file http_types.h.

Referenced by HttpVersion(), isc::config::CmdResponseCreator::filterCommand(), operator<(), operator==(), and isc::http::HttpRequest::toBriefString().

## ◆ minor_

unsigned isc::http::HttpVersion::minor_

Minor HTTP version.

Definition at line 16 of file http_types.h.

Referenced by HttpVersion(), isc::config::CmdResponseCreator::filterCommand(), operator<(), operator==(), and isc::http::HttpRequest::toBriefString().

The documentation for this struct was generated from the following file:

- http_types.h